_alpm_event_optdep_removal_t(3)

NAME
_alpm_event_optdep_removal_t -

SYNOPSIS

  Data Fields
alpm_event_type_t type
Type of event.
alpm_pkg_t * pkg
Package with the optdep.
alpm_depend_t * optdep
Optdep being removed.

Field Documentation

  alpm_depend_t* _alpm_event_optdep_removal_t::optdep

Optdep being removed.

  alpm_pkg_t* _alpm_event_optdep_removal_t::pkg

Package with the optdep.

  alpm_event_type_t _alpm_event_optdep_removal_t::type

Type of event.

Referenced by alpm_remove_pkg().

Author

Generated automatically by Doxygen for libalpm from the source code.